JsonCpp project page | Classes | Namespace | JsonCpp home page

Json::Writer Class Referenceabstract

Abstract class for writers. More...

`#include <json/writer.h>`

Inherited by Json::FastWriter, and Json::StyledWriter.

## Public Member Functions

virtual | ~Writer ()
virtual String | write (const Value &root)=0

## Detailed Description

Abstract class for writers.

Deprecated
  Use StreamWriter. (And really, this is an implementation detail.)

Definition at line 151 of file writer.h.

## Constructor & Destructor Documentation

## ~Writer()

Json::Writer::~Writer | ( |  | ) |

virtual default

## Member Function Documentation

## write()

virtual String Json::Writer::write | ( | const Value & | root | ) |

pure virtual

Implemented in Json::FastWriter, and Json::StyledWriter.

The documentation for this class was generated from the following files:

- include/json/writer.h
- src/lib_json/json_writer.cpp